Subject: Re: [Idr] routing directorate QA review of draft-ietf-idr-ls-trill-01.txt

From: Haoweiguo <[email-masked]>
Date: Mon, 11 Jul 2016 00:58:57 +0000

Hi Ross,

Sorry for late response.

Thanks for your great comments. Pls see inline.

weiguo

________________________________

From: Ross Callon [[email-masked]]
Sent: Tuesday, June 21, 2016 10:27
To: Haoweiguo; Donald Eastlake; Susan Hares; [email-masked]; [email-masked]; Liyizhou; John Scudder
Cc: [email-masked]; [email-masked]; [email-masked]; Ross Callon
Subject: routing directorate QA review of draft-ietf-idr-ls-trill-01.txt

I have been selected as the QA reviewer for draft-ietf-idr-ls-trill-01.txt. For more information about the Routing Directorate, please see http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Summary:

I think that this draft is straightforward and well written. I have only a couple of questions and some very minor nits.

I can see situations in which putting TRILL information into BGP may make sense, particularly in the case of providing TRILL information to a SDN controller as pointed out in the draft. Due to the close relationship of this draft to the work in TRILL I have CC’d the TRILL working group on this review and I assume that the TRILL working group will similarly be informed when the document goes to WGLC.

Questions:

Section 1, second to last paragraph states:

   If ESADI (End Station Address Distribution Information) protocol
   [RFC7357] is used for control plane MAC learning in each data center,
   BGP LS also can be used for MAC address reachability information
   synchronization across multiple TRILL domains.  End-to-end unicast
   forwarding paths can be calculated based on the synchronized
   information.

Would this be limited to the case where routes are computed by SDN controllers? I am thinking that if instead the MAC reachability from one data center is passed via BGP and fed back into TRILL in a different data center then this would lead to significant issues which have not been discussed in this document.
[weiguo]: Yes, the routes are consumed and computed by SDN controllers is the main case. However, i don't know why the MAC reachability passing from one data center and feeding back into another data center will cause significant problems, can you explain further about this?

Section 5 (security considerations) states:

   Procedures and protocol extensions defined in this document do not
   affect the BGP security model.  See [RFC6952] for details.

I am not a TRILL expert and therefore might not fully understand all cases in which TRILL is used. I am however wondering if there are TRILL-specific issues in that the TRILL information must only be passed to TRILL capable devices. I am also wondering whether there is any valid use of “TRILL in BGP” other than passing TRILL information to SDN controllers. Passing TRILL information from one TRILL domain to another TRILL domain and then redistributing the information back into normal TRILL packets seems like a bad idea at first glance. I am wondering if this section should say something like “this protocol MUST be used ONLY for passing TRILL information from TRILL devices to SDN controllers, and for passing TRILL information between SDN controllers.
[weiguo]: BGP LS provides a mechanism for passing TRILL information from one domain to another domain, it also can be used for passing TRILL information from TRILL devices to SDN controllers and between SDN controllers. Can you explain further about why BGP LS can't be used for passing TRILL information from one domain to another domain?

Very minor nits:

Section 2 defines the RFC2119 terms and abbreviations used in this document in the same section with no subsections. I think that it is more normal to have a subsection for RFC 2119 terms and a different subsection for abbreviations used in this document.
[weiguo]: OK, will change it in next version.
Section 3, first paragraph, last sentence: “…multicast group address, and  etc.” should be “…multicast group address, etc.”.
[weiguo]: OK, will change it in next version.
Section 3.1, “iS-IS” should be “IS-IS”.
[weiguo]: OK, will change it in next version.
Section 4, second paragraph, I thought that it was a bit odd for a document to reference itself, as in “An implementation of this specification[idr-ls-trill], MUST do…”. Would this be a bit less awkward as: “Any implementation of the protocol in this specification (ie that distributes TRILL Link-State information using BGP), MUST do…”.
[weiguo]: OK, will change it in next version.

That is all that I found in a couple of readings of this document,
Thanks, Ross

---

From: Donald Eastlake <[email-masked]>
Date: Tue, 26 Jul 2016 10:46:46 -0400

Forwarding to addresses that should have been cc'ed below.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

---------- Forwarded message ----------
From: Donald Eastlake <[email-masked]>
Date: Tue, Jul 26, 2016 at 1:47 AM
Subject: Re: routing directorate QA review of draft-ietf-idr-ls-trill-01.txt
To: Ross Callon <[email-masked]>
Cc: Susan Hares <[email-masked]>, "[email-masked]"
<[email-masked]>, "[email-masked]"
<[email-masked]>, Liyizhou <[email-masked]>, John Scudder
<[email-masked]>, "[email-masked]" <[email-masked]>, Haoweiguo
<[email-masked]>, "[email-masked]"
<[email-masked]>

Hi Ross,

Sorry for the delay in response. Based on discussions with Hao Weiguo,
the plan is to make minor changes in the draft so as to indicate that
the transported MAC reachability information and the like is for
telemetry purposes and for use by SDN controller(s) where the
coordination or protocol between the SDN controllers is out of scope.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Sun, Jul 10, 2016 at 8:58 PM, Haoweiguo <[email-masked]> wrote:
> To: Haoweiguo; Donald Eastlake; Susan Hares; [email-masked];
> [email-masked]; Liyizhou; John Scudder
> I have been selected as the QA reviewer for draft-ietf-idr-ls-trill-01.txt.
> For more information about the Routing Directorate, please see
> http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
>
> Summary:
>
> I think that this draft is straightforward and well written. I have only a
> couple of questions and some very minor nits.
>
> I can see situations in which putting TRILL information into BGP may make
> sense, particularly in the case of providing TRILL information to a SDN
> controller as pointed out in the draft. Due to the close relationship of
> this draft to the work in TRILL I have CC’d the TRILL working group on this
> review and I assume that the TRILL working group will similarly be informed
> when the document goes to WGLC.
>
>
> Questions:
>
> Would this be limited to the case where routes are computed by SDN
> controllers? I am thinking that if instead the MAC reachability from one
> data center is passed via BGP and fed back into TRILL in a different data
> center then this would lead to significant issues which have not been
> discussed in this document.
> [weiguo]: Yes, the routes are consumed and computed by SDN controllers is
> the main case. However, i don't know why the MAC reachability passing from
> one data center and feeding back into another data center will cause
> significant problems, can you explain further about this?
>
> I am not a TRILL expert and therefore might not fully understand all cases
> in which TRILL is used. I am however wondering if there are TRILL-specific
> issues in that the TRILL information must only be passed to TRILL capable
> devices. I am also wondering whether there is any valid use of “TRILL in
> BGP” other than passing TRILL information to SDN controllers. Passing TRILL
> information from one TRILL domain to another TRILL domain and then
> redistributing the information back into normal TRILL packets seems like a
> bad idea at first glance. I am wondering if this section should say
> something like “this protocol MUST be used ONLY for passing TRILL
> information from TRILL devices to SDN controllers, and for passing TRILL
> information between SDN controllers.
> [weiguo]: BGP LS provides a mechanism for passing TRILL information from one
> domain to another domain, it also can be used for passing TRILL information
> from TRILL devices to SDN controllers and between SDN controllers. Can you
> explain further about why BGP LS can't be used for passing TRILL information
> from one domain to another domain?
>
> Very minor nits:
>
> Section 2 defines the RFC2119 terms and abbreviations used in this document
> in the same section with no subsections. I think that it is more normal to
> have a subsection for RFC 2119 terms and a different subsection for
> abbreviations used in this document.
> Section 3, first paragraph, last sentence: “…multicast group address, and
> etc.” should be “…multicast group address, etc.”.
> Section 4, second paragraph, I thought that it was a bit odd for a document
> to reference itself, as in “An implementation of this
> specification[idr-ls-trill], MUST do…”. Would this be a bit less awkward as:
> “Any implementation of the protocol in this specification (ie that
> distributes TRILL Link-State information using BGP), MUST do…”.